y_scan('logistic.dat')
y0_y[201:500]
y3_y[204:503]
y2_y[203:502]
meanvar_matrix(scan('meanvar.dat'),byrow=T,ncol=5)

ps.options(horizontal=F, width=3.4, height=7, reset=T)
postscript(file="Fig101.ps", onefile=F, print=F)
par(mfrow = c(3, 1), mar=c(3,3,2,1)+1, cex=0.2)
plot(y0,y2,pch='*',xlim=c(0,16),ylim=c(0,16),xlab='X(t)', ylab='X(t+2)', mgp=c(1.5,0.5,0), main='(a) Two-step ahead prediction')
lines(meanvar[,1],meanvar[,2],lwd=2.5)
lines(meanvar[,1],meanvar[,3],type='h')
abline(0,0)
plot(y0,y3,pch='*',xlim=c(0,16),ylim=c(0,16),xlab='X(t)', ylab='X(t+3)', mgp=c(1.5,0.5,0), main='(b) Three-step ahead prediction')
lines(meanvar[,1],meanvar[,4],lwd=2.5)
lines(meanvar[,1],meanvar[,5],type='h')
abline(0,0)
plot(meanvar[,1],meanvar[,5], type='l', xlab='x', ylab='',mgp=c(1.5,0.5,0), main='(c) Conditional variance')
lines(meanvar[,1],meanvar[,3],lty=2)
dev.off()
